#
# spec file for package patch (Version 2.5.4)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         patch
Copyright:    GPL
Group:        Development/Tools
Provides:     patch 
Autoreqprov:  on
Version:      2.5.4
Release:      98
Summary:      GNU patch program
Source:		ftp://prep.ai.mit.edu/pub/gnu/patch/%{name}-%{version}.tar.bz2
Patch:		patch-%{version}.dif
Patch1:		%{name}-stderr.patch
Patch2:		%{name}-suffix.patch
Patch3:		global-reject.dif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root

%description
The GNU patch program is used to apply diffs between original and
changed files(generated by diff) to the original files.

SuSE series: d

%prep
%setup
%patch
%patch1 -p1
%patch2 -p1
%patch3

%build
CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE -Wall -O2 -fsigned-char -pipe" \
./configure \
%ifarch sparc sparc64
					--disable-largefile \
%endif
					--prefix=%{_prefix}
make CPPFLAGS=""

%install
rm -rf $RPM_BUILD_ROOT
make install-strip \
	bindir=$RPM_BUILD_ROOT%{_bindir} \
        man1dir=$RPM_BUILD_ROOT%{_mandir}/man1

%files
%doc NEWS README 
/usr/bin/patch
%doc %{_mandir}/man1/patch.1.gz

%changelog -n patch
* Mon Jun 25 2001 - uli@suse.de
- added patch adding "--global-reject" option by ak@suse.de
- bzipped tarball
* Tue Mar 06 2001 - bk@suse.de
- update to 2.5.4, added 2 patches from PLD and use buildroot
* Wed Nov 08 2000 - uli@suse.de
- now builds with -D_GNU_SOURCE, should avoid miscompilation that
  breaks LFS support
- added fix for offset output by Alessandro Rubini
- added fix and enhancement for --ifdef by Pete Buechler
* Sun Feb 27 2000 - @suse.de
- added missing CFLAGS quotes.
* Sun Feb 27 2000 - bk@suse.de
- added PPC fixes by Uli back again (-fsigned-char, CPPFLAGS)
* Fri Feb 25 2000 - schwab@suse.de
- Specfile cleanup, get rid of Makefile.Linux
- /usr/man -> /usr/share/man
- Add group tag.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Aug 18 1999 - uli@suse.de
- fixed for PPC (-fsigned-char, CPPFLAGS)
* Tue Mar 16 1999 - ro@suse.de
- update to 2.5.3 using diff from jurix
* Wed Jan 13 1999 - bs@suse.de
- applied patch from Egbert Eich (problems with non existing files fixed)
* Thu Nov 05 1998 - ro@suse.de
- use libc's basename() for glibc
